# LiveKit Egress Docker Image

Dies ist ein geklontes Docker-Image für [LiveKit Egress](https://github.com/livekit/egress), eine leistungsstarke Lösung zur Aufnahme und Weiterleitung von Echtzeit-Audio- und Videoinhalten.

## 📦 Inhalt

Dieses Repository enthält:

- Eine Dockerfile-Konfiguration für den Betrieb von LiveKit Egress in einem Container.
- Beispieldateien für Konfiguration und Ausführung.
- Eine Möglichkeit, die Egress-Funktion lokal oder in der Cloud bereitzustellen.

## 🚀 Schnellstart

### 1. Klonen des Repositories

```bash
git clone <dieses-repo>
cd <dieses-repo>
```

### 2. Image bauen

```bash
docker build -t livekit-egress .
```

### 3. Container starten

```bash
docker run --rm \
  -e EGRESS_API_KEY=<your_api_key> \
  -e EGRESS_API_SECRET=<your_api_secret> \
  -e LIVEKIT_URL=<wss://your.livekit.server> \
  livekit-egress
```

> **Hinweis**: Ersetze die Umgebungsvariablen durch deine tatsächlichen LiveKit-Zugangsdaten.

## ⚙️ Konfiguration

Die Konfiguration kann entweder über Umgebungsvariablen oder eine YAML-Datei erfolgen. Siehe [LiveKit Egress Doku](https://docs.livekit.io/egress/) für alle verfügbaren Optionen.

### Beispiel: `config.yaml`

```yaml
api_key: your_api_key
api_secret: your_api_secret
ws_url: wss://your.livekit.server
log_level: info
```

Dann kannst du das Image wie folgt mit dieser Konfiguration starten:

```bash
docker run --rm \
  -v $(pwd)/config.yaml:/egress/config.yaml \
  livekit-egress
```

## 🛠️ Entwicklung

Wenn du Änderungen am Egress-Code machen willst:

```bash
# optional: mount lokales Verzeichnis
docker run -v $(pwd):/app -it livekit-egress /bin/bash
```

## 📄 Lizenz

Dieses Projekt basiert auf [LiveKit Egress](https://github.com/livekit/egress) und unterliegt deren Lizenzbedingungen.
